// style.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#include <stdio.h>

#define STUDENT_NUM 5    //学生人数
#define COURSE_NUM 3       //课程门数

int main( )
{
    float scores[STUDENT_NUM][COURSE_NUM];    //原始成绩
    int i, j;                                                                            //循环变量
    
	for (i=0; i<STUDENT_NUM; i++)       //录入学生成绩：这是一个二重循环
	{                           
        for (j=0; j<COURSE_NUM; j++)    //每个学生的成绩
		{
            scanf("%f", &scores[i][j]); //读入每门课成绩
        }
    }

    for (i=0; i<STUDENT_NUM; i++)       //计算学生平均成绩
	{
        float sum = 0;                  //学生总成绩
        for (j=0; j<COURSE_NUM; j++)
		{ 
            sum += scores[i][j];
        }
        printf("Student %d: %.1f\n", i, sum/COURSE_NUM);
    }

    for (j=0; j<COURSE_NUM; j++)      //计算课程平均成绩
	{
        float sum = 0;                //课程总成绩
        for (i=0; i<STUDENT_NUM; i++)
		{ 
            sum += scores[i][j];
        }
        printf("Course %d : %.1f\n", j, sum/STUDENT_NUM);
    }

	return 0;
}
